polarisprestaconnector_cron:
  path: polarisprestaconnector/cron
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\CronAdminController::cronAction
    _anonymous_controller: true

polarisprestaconnector_configuration:
  path: polarisprestaconnector/configuration/information
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController::informationAction

polarisprestaconnector_set_sync_mode:
  path: polarisprestaconnector/set/configuration/sync/mode
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController::setSyncModeAction

polarisprestaconnector_stocks:
  path: polarisprestaconnector/configuration/stocks
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController::stocksAction

polarisprestaconnector_catalogue:
  path: polarisprestaconnector/configuration/catalogue
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController::catalogueAction

polarisprestaconnector_map_category:
  path: polarisprestaconnector/configuration/mapping/categorie
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController::mappingCategoryAction

polarisprestaconnector_map_typed_category:
  path: polarisprestaconnector/configuration/mapping/categorie/{type}
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController::mappingCategoryAction

polarisprestaconnector_map_manufacturer:
  path: polarisprestaconnector/configuration/mapping/manufacturer
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController::mappingManufacturerAction    

polarisprestaconnector_map_size_grid:
  path: polarisprestaconnector/configuration/mapping/grid
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController::mapSizeGridAction

polarisprestaconnector_map_shade:
  path: polarisprestaconnector/configuration/mapping/colormap
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController::mappingShadeAction

polarisprestaconnector_map_discounts:
  path: polarisprestaconnector/configuration/mapping/discounts
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController::mappingDiscountsAction

polarisprestaconnector_map_stores:
  path: polarisprestaconnector/configuration/mapping/stores
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController::mappingStoresAction


polarisprestaconnector_changelog:
  path: polarisprestaconnector/configuration/changelog
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController::changelogDisplayAction

polarisprestaconnector_audit:
  path: polarisprestaconnector/configuration/audit
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController::auditAction

polarisprestaconnector_pullenv:
  path: polarisprestaconnector/configuration/pullenv
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController::pullenvAjaxAction

polarisprestaconnector_commande:
  path: polarisprestaconnector/configuration/commande
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController::commandeAction

polarisprestaconnector_products_mapping:
  path: polarisprestaconnector/configuration/products_mappings
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ProductsMappingsAdminController::indexAction

polarisprestaconnector_vat_report:
  path: polarisprestaconnector/vat_report
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\VatReportAdminController::indexAction

polarisprestaconnector_products_mappings_update:
    path: polarisprestaconnector/configuration/products_mappings/update
    methods: [POST]
    defaults:
        _controller: 'PrestaShop\Module\PolarisPrestaConnector\Controller\ProductsMappingsAdminController::updateAjaxAction'

polarisprestaconnector_connect:
  path: polarisprestaconnector/connect
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController::connectToApiAjaxAction

polarisprestaconnector_sync_progress:
  path: polarisprestaconnector/syncprogress
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController::getSyncProgressAjaxAction

polarisprestaconnector_export_order:
  path: polarisprestaconnector/export_order
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController::exportOrderAjaxAction

polarisprestaconnector_sync_product:
  path: polarisprestaconnector/sync_product
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController::syncProductAjaxAction

polarisprestaconnector_lock_product:
  path: polarisprestaconnector/lock_product
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController::lockProductAjaxAction


polarisprestaconnector_resync_all:
  path: polarisprestaconnector/resync_all
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController::syncResyncAction    

polarisprestaconnector_login:
  path: polarisprestaconnector/login
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController::LoginAction





